##############################################################################
## Configuration definitions                                                ##
##############################################################################

THISPACKAGE = Tools

##############################################################################
## Inherit main makefile                                                    ##
##############################################################################

EXTRA = libtools.so libtools_g.so

include ../buildconfig.mk

# should be automatically built, but want to exploit included makefile
libs: libtools.so libtools_g.so


CXX = gcc -g
LIBS = -lelf -ldl -lnsl -lsocket

#JINCS = -I/usr/local/jdk/include -I/usr/local/jdk/include/solaris
# inherit from buildconfig.mk
JINCS = -I$(subst :, -I,$(JAVA_INCLUDES))
JLIBS = -L/usr/local/jdk/lib -L/usr/local/jdk/lib/sparc/green_threads -ljava_g

Timer.class: Timer.java
	(cd ..; javac Tools/Timer.java)

Tools_Timer.h: Timer.class
	(cd ..; javah -jni -d Tools Tools.Timer)

Tools_DumpProf.h: DumpProf.class
	(cd ..; javah -jni -d Tools Tools.DumpProf)

TimerImp.o: TimerImp.cpp Tools_Timer.h
	$(CXX) $(JINCS) -c TimerImp.cpp

DumpProfImp.o: DumpProfImp.cpp Tools_DumpProf.h
	$(CXX) $(JINCS) -c DumpProfImp.cpp

libtools.so: TimerImp.o DumpProfImp.o
	$(CXX) -shared $(JINCS) $^ -o libtools.so $(C_LIBS)

libtools_g.so: libtools.so
	ln -s libtools.so libtools_g.so
